commit c48330a9861dcb62f962539e83b7479642e06698
Author: Robert Mader <robert.mader@posteo.de>
Date:   Fri Nov 22 01:42:14 2019 +0100

    Subject: [PATCH 2/6] cleanup: Use g_clear_handle_id() for g_source_remove()
    
    It makes sure we do not forget to zero the id and lets us avoid
    zero checks before. We use it for all new code, lets clean up the
    existing code base.
    
    https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/845

diff --git a/src/calendar-server/calendar-sources.c b/src/calendar-server/calendar-sources.c
index 7e4c7f52e..bdc145421 100644
--- a/src/calendar-server/calendar-sources.c
+++ b/src/calendar-server/calendar-sources.c
@@ -242,11 +242,7 @@ calendar_sources_finalize_source_data (CalendarSources    *sources,
       g_hash_table_destroy (source_data->clients);
       source_data->clients = NULL;
 
-      if (source_data->timeout_id != 0)
-        {
-          g_source_remove (source_data->timeout_id);
-          source_data->timeout_id = 0;
-        }
+      g_clear_handle_id (&source_data->timeout_id, g_source_remove);
 
       source_data->loaded = FALSE;
     }
@@ -374,11 +370,7 @@ backend_died_cb (EClient *client, CalendarSourceData *source_data)
   g_warning ("The calendar backend for '%s' has crashed.", display_name);
   g_hash_table_remove (source_data->clients, source);
 
-  if (source_data->timeout_id != 0)
-    {
-      g_source_remove (source_data->timeout_id);
-      source_data->timeout_id = 0;
-    }
+  g_clear_handle_id (&source_data->timeout_id, g_source_remove);
 
   source_data->timeout_id = g_timeout_add_seconds (2, backend_restart,
 		  				   source_data);
diff --git a/src/calendar-server/gnome-shell-calendar-server.c b/src/calendar-server/gnome-shell-calendar-server.c
index d04f0019c..25cb694db 100644
--- a/src/calendar-server/gnome-shell-calendar-server.c
+++ b/src/calendar-server/gnome-shell-calendar-server.c
@@ -792,8 +792,7 @@ app_free (App *app)
   g_clear_signal_handler (&app->sources_signal_id, app->sources);
   g_object_unref (app->sources);
 
-  if (app->changed_timeout_id != 0)
-    g_source_remove (app->changed_timeout_id);
+  g_clear_handle_id (&app->changed_timeout_id, g_source_remove);
 
   g_free (app);
 }
